Read transactions list of an account

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs-nextgenpsd2.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Memo Bank PSD2 MCP server": {
  "url": "https://docs-nextgenpsd2.api.memo.bank/mcp"
}
Close
GET /v1/accounts/{accountId}/transactions

You can retrieve the full transactions history of an account, it is not limited to 180 days.

Headers

  • Signature string

Path parameters

  • accountId string(uuid) Required

Query parameters

  • bookingStatus string

    Values are booked, pending, or both. Default value is both.

  • dateFrom string(date)

    Filter transactions by booking date (inclusive greater than).

  • dateTo string(date)

    Filter transactions by booking date (exclusive lower than).

  • withBalance boolean

    Default value is false.

  • orderBy string

    Values are bookingDate or -bookingDate.

    Default value is bookingDate.

Responses

  • default application/json

    default response

    Hide response attributes Show response attributes object
    • account object
      Hide account attributes Show account attributes object
      • iban string

        Format should match the following pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$.

      • maskedPan string

        Minimum length is 0, maximum length is 35.

      • currency string

        Format should match the following pattern: ^[A-Z]{3}$.

      • cashAccountType string
    • balances array[object]
      Hide balances attributes Show balances attributes object
      • balanceAmount object Required
        Hide balanceAmount attributes Show balanceAmount attributes object
        • currency string Required

          Format should match the following pattern: ^[A-Z]{3}$.

        • amount string Required

          Format should match the following pattern: ^-?[0-9]{1,14}(\.[0-9]{1,3})?$.

      • balanceType string Required

        Values are closingBooked, expected, openingBooked, interimAvailable, interimBooked, forwardAvailable, or nonInvoiced.

      • creditLimitIncluded boolean Required
      • referenceDate string(date) Required
    • transactions object
      Hide transactions attributes Show transactions attributes object
      • booked array[object]
        Hide booked attributes Show booked attributes object
        • transactionAmount object Required
          Hide transactionAmount attributes Show transactionAmount attributes object
          • currency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • amount string Required

            Format should match the following pattern: ^-?[0-9]{1,14}(\.[0-9]{1,3})?$.

        • transactionId string Required
        • endToEndId string

          Minimum length is 0, maximum length is 35.

        • batchIndicator boolean Required
        • batchNumberOfTransactions integer(int32)
        • mandateId string

          Minimum length is 0, maximum length is 35.

        • bookingDate string(date) Required
        • valueDate string(date) Required
        • currencyExchange array[object]
          Hide currencyExchange attributes Show currencyExchange attributes object
          • sourceCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • exchangeRate string Required
          • unitCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • targetCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • quotationDate string(date) Required
        • creditorName string Required

          Minimum length is 0, maximum length is 70.

        • creditorAccount object
          Hide creditorAccount attributes Show creditorAccount attributes object
          • iban string

            Format should match the following pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$.

          • maskedPan string

            Minimum length is 0, maximum length is 35.

          • currency string

            Format should match the following pattern: ^[A-Z]{3}$.

          • cashAccountType string
        • creditorAgent string

          Format should match the following pattern: ^[A-Z]{6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3})?$.

        • debtorName string

          Minimum length is 0, maximum length is 70.

        • debtorAccount object
          Hide debtorAccount attributes Show debtorAccount attributes object
          • iban string

            Format should match the following pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$.

          • maskedPan string

            Minimum length is 0, maximum length is 35.

          • currency string

            Format should match the following pattern: ^[A-Z]{3}$.

          • cashAccountType string
        • debtorAgent string

          Format should match the following pattern: ^[A-Z]{6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3})?$.

        • remittanceInformationUnstructured string

          Minimum length is 0, maximum length is 140.

        • _extras object Required
          Hide _extras attribute Show _extras attribute object
          • counterpartyAndRemittanceInformationUnstructured string Required

            Concatenates the counterparty name with the remittance information, to be used by consumers which only wants one field for both information.

      • pending array[object]
        Hide pending attributes Show pending attributes object
        • transactionAmount object Required
          Hide transactionAmount attributes Show transactionAmount attributes object
          • currency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • amount string Required

            Format should match the following pattern: ^-?[0-9]{1,14}(\.[0-9]{1,3})?$.

        • transactionId string Required
        • endToEndId string

          Minimum length is 0, maximum length is 35.

        • batchIndicator boolean Required
        • batchNumberOfTransactions integer(int32)
        • mandateId string

          Minimum length is 0, maximum length is 35.

        • bookingDate string(date) Required
        • valueDate string(date) Required
        • currencyExchange array[object]
          Hide currencyExchange attributes Show currencyExchange attributes object
          • sourceCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • exchangeRate string Required
          • unitCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • targetCurrency string Required

            Format should match the following pattern: ^[A-Z]{3}$.

          • quotationDate string(date) Required
        • creditorName string Required

          Minimum length is 0, maximum length is 70.

        • creditorAccount object
          Hide creditorAccount attributes Show creditorAccount attributes object
          • iban string

            Format should match the following pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$.

          • maskedPan string

            Minimum length is 0, maximum length is 35.

          • currency string

            Format should match the following pattern: ^[A-Z]{3}$.

          • cashAccountType string
        • creditorAgent string

          Format should match the following pattern: ^[A-Z]{6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3})?$.

        • debtorName string

          Minimum length is 0, maximum length is 70.

        • debtorAccount object
          Hide debtorAccount attributes Show debtorAccount attributes object
          • iban string

            Format should match the following pattern: ^[A-Z]{2}[0-9]{2}[a-zA-Z0-9]{1,30}$.

          • maskedPan string

            Minimum length is 0, maximum length is 35.

          • currency string

            Format should match the following pattern: ^[A-Z]{3}$.

          • cashAccountType string
        • debtorAgent string

          Format should match the following pattern: ^[A-Z]{6}[A-Z2-9][A-NP-Z0-9]([A-Z0-9]{3})?$.

        • remittanceInformationUnstructured string

          Minimum length is 0, maximum length is 140.

        • _extras object Required
          Hide _extras attribute Show _extras attribute object
          • counterpartyAndRemittanceInformationUnstructured string Required

            Concatenates the counterparty name with the remittance information, to be used by consumers which only wants one field for both information.

GET /v1/accounts/{accountId}/transactions
curl \
 --request GET 'https://api.memo.bank/nextgenpsd2/v1/accounts/{accountId}/transactions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Signature: $SIGNATURE"
Response examples (default)
{
  "account": {
    "iban": "string",
    "maskedPan": "string",
    "currency": "string",
    "cashAccountType": "string"
  },
  "balances": [
    {
      "balanceAmount": {
        "currency": "string",
        "amount": "string"
      },
      "balanceType": "closingBooked",
      "creditLimitIncluded": true,
      "referenceDate": "2026-05-04"
    }
  ],
  "transactions": {
    "_links": {
      "account": {
        "href": "string"
      },
      "next": {
        "href": "string"
      },
      "previous": {
        "href": "string"
      }
    },
    "booked": [
      {
        "transactionAmount": {
          "currency": "string",
          "amount": "string"
        },
        "transactionId": "string",
        "endToEndId": "string",
        "batchIndicator": true,
        "batchNumberOfTransactions": 42,
        "mandateId": "string",
        "bookingDate": "2026-05-04",
        "valueDate": "2026-05-04",
        "currencyExchange": [
          {
            "sourceCurrency": "string",
            "exchangeRate": "string",
            "unitCurrency": "string",
            "targetCurrency": "string",
            "quotationDate": "2026-05-04"
          }
        ],
        "creditorName": "string",
        "creditorAccount": {
          "iban": "string",
          "maskedPan": "string",
          "currency": "string",
          "cashAccountType": "string"
        },
        "creditorAgent": "string",
        "debtorName": "string",
        "debtorAccount": {
          "iban": "string",
          "maskedPan": "string",
          "currency": "string",
          "cashAccountType": "string"
        },
        "debtorAgent": "string",
        "remittanceInformationUnstructured": "string",
        "_extras": {
          "counterpartyAndRemittanceInformationUnstructured": "string"
        }
      }
    ],
    "pending": [
      {
        "transactionAmount": {
          "currency": "string",
          "amount": "string"
        },
        "transactionId": "string",
        "endToEndId": "string",
        "batchIndicator": true,
        "batchNumberOfTransactions": 42,
        "mandateId": "string",
        "bookingDate": "2026-05-04",
        "valueDate": "2026-05-04",
        "currencyExchange": [
          {
            "sourceCurrency": "string",
            "exchangeRate": "string",
            "unitCurrency": "string",
            "targetCurrency": "string",
            "quotationDate": "2026-05-04"
          }
        ],
        "creditorName": "string",
        "creditorAccount": {
          "iban": "string",
          "maskedPan": "string",
          "currency": "string",
          "cashAccountType": "string"
        },
        "creditorAgent": "string",
        "debtorName": "string",
        "debtorAccount": {
          "iban": "string",
          "maskedPan": "string",
          "currency": "string",
          "cashAccountType": "string"
        },
        "debtorAgent": "string",
        "remittanceInformationUnstructured": "string",
        "_extras": {
          "counterpartyAndRemittanceInformationUnstructured": "string"
        }
      }
    ]
  }
}